FROM image.sourcefind.cn:5000/gpu/admin/base/jupyterlab-pytorch:2.2.0-python3.10-cuda12.1-ubuntu22.04 as base
RUN apt-get update && apt-get install -y gcc g++
RUN cd /root && git clone -b v2-gpu http://developer.hpccube.com/codes/chenpangpang/photomaker.git
WORKDIR /root/photomaker/PhotoMaker
RUN pip install -r requirements.txt && \
    pip install onnxruntime-gpu==1.18.0 --extra-index-url https://aiinfra.pkgs.visualstudio.com/PublicPackages/_packaging/onnxruntime-cuda-12/pypi/simple/
# PhotoMaker-base clone from https://github.com/TencentARC/PhotoMaker.git
RUN pip install git+http://developer.hpccube.com/codes/chenpangpang/PhotoMaker-base.git
COPY chenyh/photomaker/TencentARC/PhotoMaker-V2 /root/photomaker/PhotoMaker/TencentARC/PhotoMaker-V2
COPY chenyh/photomaker/SG161222/RealVisXL_V4.0 /root/photomaker/PhotoMaker/SG161222/RealVisXL_V4.0

#########
# Prod  #
#########
FROM image.sourcefind.cn:5000/gpu/admin/base/jupyterlab-pytorch:2.2.0-python3.10-cuda12.1-ubuntu22.04
COPY chenyh/photomaker/frpc_linux_amd64_v0.2 /opt/conda/lib/python3.10/site-packages/gradio/
RUN chmod +x /opt/conda/lib/python3.10/site-packages/gradio/frpc_linux_amd64_v0.2
COPY --from=base /opt/conda/lib/python3.10/site-packages /opt/conda/lib/python3.10/site-packages
COPY --from=base /root/photomaker/PhotoMaker /root/PhotoMaker
COPY --from=base /root/photomaker/启动器.ipynb /root/photomaker/start.sh /root/
